Skip to main content
GET
/
agents
/
tasks
/
{task_id}
/
activity
List Task Activity
curl --request GET \
  --url https://api.example.com/agents/tasks/{task_id}/activity
import requests

url = "https://api.example.com/agents/tasks/{task_id}/activity"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/agents/tasks/{task_id}/activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "timestamp": "2023-11-07T05:31:56Z",
    "edge_id": "<string>",
    "from_status": "<string>",
    "to_status": "<string>",
    "assignee_table": "<string>",
    "assignee_id": "<string>",
    "comment_id": "<string>",
    "instance_id": "<string>",
    "operation": "<string>",
    "resource_table": "<string>",
    "resource_id": "<string>",
    "fields_changed": [
      "<string>"
    ]
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

task_id
string
required

Query Parameters

limit
integer
default:50

Maximum entries to return

Required range: 1 <= x <= 200
cursor
string | null

Composite cursor '|'; returns entries strictly older than this point under (timestamp DESC, edge_id DESC).

Response

Successful Response

kind
enum<string>
required

Discriminator for entries in the activity timeline.

Available options:
transition,
assignment,
mutation,
comment,
agent_started
timestamp
string<date-time>
required
edge_id
string
required
from_status
string | null
to_status
string | null
assignee_table
string | null
assignee_id
string | null
comment_id
string | null
instance_id
string | null
operation
string | null
resource_table
string | null
resource_id
string | null
fields_changed
string[] | null